=== debian/rules ===
--- 
+++ 
@@ -8,23 +8,23 @@
 
 GENCONTROL = debian/bin/gencontrol.py
 
-# Nothing to build
-build-indep build-arch build: debian/control
+binary binary-arch binary-indep build build-arch build-indep clean: debian/control
+	dh $@
 
-clean: debian/control
-	dh_testdir
-	rm -rf debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__
-	dh_clean
+override_dh_auto_test:
+	:
 
-binary-indep: build-indep
-	dh_testdir
+CLEAN_PATTERNS := debian/build debian/lib/python/__pycache__ debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'firmware-*') debian/*.substvars
+
+override_dh_auto_clean:
+	rm -rf $(CLEAN_PATTERNS)
+
+override_dh_auto_install:
 	./copy-firmware.sh -v debian/build/install
 	cd debian/build && ../../dedup-firmware.sh install
-	$(MAKE) -f debian/rules.gen binary-indep
 
-binary-arch: build-arch
-
-binary:	binary-indep binary-arch
+override_dh_installdocs:
+	dh_installdocs -XTODO
 
 CONTROL_FILES = debian/build/version-info $(wildcard debian/templates/*.in)
 CONTROL_FILES += debian/bin/gencontrol.py debian/config/defines $(wildcard debian/config/*/defines) debian/modinfo.json
@@ -37,7 +37,7 @@
 	mkdir -p $(@D)
 	printf >$@ 'Source: %s\nVersion: %s\n' $(SOURCE) $(VERSION_SOURCE)
 
-debian/control debian/rules.gen: $(GENCONTROL) $(CONTROL_FILES)
+debian/control: $(GENCONTROL) $(CONTROL_FILES)
 ifeq ($(wildcard debian/control.md5sum),)
 	$(MAKE) -f debian/rules debian/control-real
 else
@@ -76,14 +76,24 @@
 	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
-maintainerclean:
-	-rm debian/control debian/control.md5sum debian/rules.gen
-	rm -f debian/*.bug-presubj
-	-rm debian/*.hook.*
-	rm -f debian/*.metainfo.xml
-	-rm debian/*.preinst
-	-rm debian/*.postinst
-	-rm debian/*.templates
+clean-generated:
+	rm -rf $(CLEAN_PATTERNS)
+# We cannot use dh_clean here because it requires debian/control to exist
+	rm -rf debian/.debhelper debian/*.debhelper* debian/debhelper-build-stamp debian/files debian/generated.*
+	rm -f \
+		debian/control \
+		debian/control.md5sum \
+		debian/*.bug-presubj \
+		debian/*.install \
+		debian/*.metainfo.xml \
+		debian/*.postinst \
+		debian/*.postrm \
+		debian/*.preinst \
+		debian/*.prerm \
+		debian/*.templates
+
+maintainerclean: clean-generated
+	rm -rf $(filter-out debian .git, $(wildcard * .[^.]*))
 
 .PHONY: clean build-indep build-arch build binary-indep binary-arch binary \
-	linux-support-name
+	clean-generated maintainerclean
