=== debian/watch ===
version=3
opts="mode=git, gitmode=shallow, pgpmode=gittag" \
https://gitlab.com/kernel-firmware/linux-firmware.git \
refs/tags/([0-9]*) debian
