=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: non-free-firmware/kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Steve Langasek <vorlon@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
+Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Standards-Version: 4.3.0
 Build-Depends: debhelper-compat (= 13), rdfind
 Rules-Requires-Root: no
@@ -308,3 +308,4 @@
 Conflicts: firmware-realtek-rtl8723cs-bt
 Multi-Arch: foreign
 Description: Binary firmware for Realtek network and audio chips
+ This package contains the binary firmware for Realtek Ethernet, Wi-Fi,
