## firmware-nonfree 20251021

=== debian/changelog ===
firmware-nonfree (20251021-1~mx25ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 04 Nov 2025 14:05:14 -0800

firmware-nonfree (20251021-1) unstable; urgency=medium

  * New upstream version:
    - Add ISH firmware file for Intel Pather Lake platform
    - amdgpu: DMCUB updates for various ASICs
    - i915: Xe2LPD DMC v2.29
    - i915: Xe3LPD DMC v2.32
    - i915: Xe3LPD_3002 DMC v2.27
    - Intel IPU7: Update product signed firmware binary
    - intel: qat: Fix missing link
    - iwlwifi: add Bz/Fm and gl FW for core98-161 release
    - iwlwifi: update Bz/Hr and Bz/Gf firmwares for core98-161 release
    - iwlwifi: update cc/Qu/QuZ firmwares for core98-161 release
    - iwlwifi: update ty/So/Ma firmwares for core98-161 release
    - nvidia: add generic bootloader for GSP-enabled systems
    - QCA: Update Bluetooth WCN6856 firmware 2.1.0-00653 to 2.1.0-00659
    - qcom: sync audioreach firmwares from v1.0.0 build
    - qcom: vpu: rename firmware binaries
    - Revert "linux-firmware: update firmware for MT7922 WiFi device" (Closes:
      #1118199)
    - Update firmware file for Intel BlazarI core
    - Update firmware file for Intel BlazarU core
    - Update firmware file for Intel Magnetar core
    - WHENCE: nvidia: rearrange GSP-RM firmware lines
  * nvidia-graphics: Handle dir-to-symlink change of nvidia/ad10{3,4,6,7}
    (Closes: #1112208)

 -- Ben Hutchings <benh@debian.org>  Mon, 03 Nov 2025 00:01:12 +0100
